be.vlaanderen.mercurius.mohm.common.v7

## Class ConsultSupportAndRepairListType

- java.lang.Object
- - be.vlaanderen.mercurius.mohm.common.v7.ConsultSupportAndRepairListType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2021-10-05T08:08:16+02:00",
                 comments="JAXB RI v2.2.11")
      public class ConsultSupportAndRepairListType
      extends Object
      implements Serializable

  Generiek type voor de lijst met actieve budgetten onderhoud en herstel.

  Java class for ConsultSupportAndRepairListType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ConsultSupportAndRepairListType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="SupportAndRepair" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}ConsultSupportAndRepairViewType" maxOccurs="unbounded"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsultSupportAndRepairListType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ConsultSupportAndRepairViewType>` | `getSupportAndRepairs()` Gets the value of the supportAndRepairs property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsultSupportAndRepairListType

          public ConsultSupportAndRepairListType()

  - ### Method Detail

    - #### getSupportAndRepairs

          public List<ConsultSupportAndRepairViewType> getSupportAndRepairs()

      Gets the value of the supportAndRepairs property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the supportAndRepairs property.

      For example, to add a new item, do as follows:

              getSupportAndRepairs().add(newItem);

      Objects of the following type(s) are allowed in the list `ConsultSupportAndRepairViewType`

Connector Packaging TRUSSMAKER 4.0.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.